Get a workflow run
GET
/v1/forms/{form}/workflow-runs/{run}
const url = 'https://api.submeto.com/v1/forms/example/workflow-runs/example';const options = { method: 'GET', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"confirm_delivery_uncertainty":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.submeto.com/v1/forms/example/workflow-runs/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "confirm_delivery_uncertainty": true }'Returns topology and step metadata. Step input/output requires the same key
to also hold submissions:read; otherwise those fields are null.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”form
required
string
The form ID.
run
required
string
The run ID.
Request Body
Section titled “Request Body”Media typeapplication/json
object
confirm_delivery_uncertainty
Set true only after explicitly accepting possible duplicate delivery.
boolean
Examplegenerated
{ "confirm_delivery_uncertainty": true}Responses
Section titled “Responses”Workflow run
Media typeapplication/json
object
data
object
id
string
run_kind
string
status
string
workflow_version
integer
definition
object
schema_version
integer
nodes
array
edges
array
steps
Array<object>
object
id
string
node_id
string
node_type
string
node_kind
string
status
string
input
string
output
string
content_restricted
boolean
billed_compute_points
integer
attempt_count
integer
error_code
string
request_id
string
Example
{ "data": { "id": "01JRUN00000000000000000000", "run_kind": "production", "status": "succeeded", "workflow_version": 2, "definition": { "schema_version": 1, "nodes": [], "edges": [] }, "steps": [ { "id": "REQUEST_ID", "node_id": "destination-1", "node_type": "webhook", "node_kind": "destination", "status": "succeeded", "input": null, "output": null, "content_restricted": true, "billed_compute_points": 1, "attempt_count": 1, "error_code": null } ] }, "request_id": "REQUEST_ID"}